Summary: Bluetooth libraries
Name: bluez-libs
Version: 3.32
Release: 1%{?dist}
License: GPLv2+
Group: System Environment/Libraries
Source: http://bluez.sourceforge.net/download/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
URL: http://www.bluez.org/
Requires: bluez-libs >= %{version}
ExcludeArch: s390 s390x

%description
Libraries for use in Bluetooth applications.

The BLUETOOTH trademarks are owned by Bluetooth SIG, Inc., U.S.A.

%package devel
Summary: Development libraries for Bluetooth applications
Group: Development/Libraries
Requires: bluez-libs = %{version}
Obsoletes: bluez-sdp-devel

%description devel
bluez-libs-devel contains development libraries and headers for
use in Bluetooth applications.

%prep

%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
/sbin/ldconfig -n $RPM_BUILD_ROOT/%{_libdir}
# Remove autocrap and libtool droppings
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT/usr/share/aclocal/bluez.m4


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING INSTALL ChangeLog NEWS README
%{_libdir}/libbluetooth.so.*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/bluetooth
%{_includedir}/bluetooth/*
%{_libdir}/libbluetooth.a
%{_libdir}/libbluetooth.so
%{_libdir}/pkgconfig/bluez.pc

%changelog
* Thu Jun 12 2008 - Bastien Nocera <bnocera@redhat.com> - 3.32-1
- Update to 3.32

* Fri Apr 18 2008 Peter Jones <pjones@redhat.com>
- Make bluez-libs-devel own /usr/include/bluetooth/

* Fri Apr 04 2008 - Bastien Nocera <bnocera@redhat.com> - 3.30-1
- Update to 3.30

* Tue Mar 25 2008 - Bastien Nocera <bnocera@redhat.com> - 3.29-1
- Update to 3.29

* Tue Mar 04 2008 - David Woodhouse <dwmw2@infradead.org> - 3.27-1
- Update to 3.27

* Mon Feb 11 2008 - Bastien Nocera <bnocera@redhat.com> - 3.26-1
- Update to 3.26

* Sat Feb 02 2008 - Bastien Nocera <bnocera@redhat.com> - 3.25-1
- Update to 3.25

* Thu Jan 31 2008 - Bastien Nocera <bnocera@redhat.com> - 3.24-1
- Update to 3.24

* Mon Dec 10 2007 - Bastien Nocera <bnocera@redhat.com> - 3.23-1
- Update to 3.23

* Fri Oct 26 2007 - Bastien Nocera <bnocera@redhat.com> - 3.22-1
- Update to 3.22

* Fri Oct 05 2007 - Bastien Nocera <bnocera@redhat.com> - 3.20-1
- Update to 3.20

* Sun Sep 16 2007 David Woodhouse <dwmw2@infradead.org> - 3.19-1
- Update to bluez-libs 3.19

* Wed Sep 12 2007 David Woodhouse <dwmw2@infradead.org> - 3.18-1
- Update to bluez-libs 3.18

* Thu Aug 30 2007 David Woodhouse <dwmw2@infradead.org> - 3.17-1
- Update to bluez-libs 3.17

* Tue Aug 28 2007 David Woodhouse <dwmw2@infradead.org> - 3.16-1
- Update to bluez-libs 3.16

* Thu Aug 23 2007 David Woodhouse <dwmw2@infradead.org> - 3.15-1
- Update to bluez-libs 3.15

* Wed Aug 22 2007 David Woodhouse <dwmw2@infradead.org> - 3.14-2
- Update licence

* Wed Aug 22 2007 David Woodhouse <dwmw2@infradead.org> - 3.14-1
- Update to bluez-libs 3.14

* Wed Aug 1 2007 David Woodhouse <dwmw2@infradead.org> - 3.13-1
- Update to bluez-libs 3.13

* Sat Jul 21 2007 David Woodhouse <dwmw2@infradead.org> - 3.12-1
- Update to bluez-libs 3.12

* Sat May 26 2007 Bastien Nocera <bnocera@redhat.com> - 3.11-1
- Update to bluez-libs 3.11

* Tue Jan 30 2007 David Woodhouse <dwmw2@redhat.com> 3.9-1
- Update to bluez-libs 3.9

* Wed Sep 27 2006 David Woodhouse <dwmw2@redhat.com> 3.7-1
- Update to bluez-libs 3.7

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 3.0-3
- rebuild
- Try building w/out glib-devel

* Sun Jun 11 2006 David Woodhouse <dwmw2@redhat.com> - 3.0-2
- Bump release because 3.0-1 build failed

* Sun Jun 11 2006 David Woodhouse <dwmw2@redhat.com> - 3.0-1
- Update to bluez-libs 3.0

* Thu Feb 23 2006 David Woodhouse <dwmw2@redhat.com> - 2.25-1
- Update to bluez-libs 2.25

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2.22-1.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2.22-1.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Sun Nov 6 2005 David Woodhouse <dwmw2@redhat.com> 2.22-1
- Update to bluez-libs 2.22

* Mon Sep 5 2005 David Woodhouse <dwmw2@redhat.com> 2.20-1
- Update to bluez-libs 2.20

* Mon Aug 8 2005 David Woodhouse <dwmw2@redhat.com> 2.19-1
- Update to bluez-libs 2.19

* Thu Mar 2 2005 David Woodhouse <dwmw2@redhat.com> 2.15-1
- Update to bluez-libs 2.15
- Remove Obsoletes: bluez-sdp to fix #131653

* Thu Jan 20 2005 David Woodhouse <dwmw2@redhat.com> 2.14-2
- Update to bluez-libs 2.14
- Restore hci_remote_name() and hci_local_name() functions

* Wed Jan 12 2005 David Woodhouse <dwmw2@redhat.com> 2.13-1
- Update to bluez-libs 2.13

* Mon Aug 16 2004 David Woodhouse <dwmw2@redhat.com> 2.10-2
- Switch to nicer unaligned access macros

* Sat Aug 14 2004 David Woodhouse <dwmw2@redhat.com> 2.10-1
- Update to bluez-libs 2.10

* Tue Aug 03 2004 David Woodhouse <dwmw2@redhat.com> 2.9-1
- Update to bluez-libs 2.9

* Tue Jul 20 2004 David Woodhouse <dwmw2@redhat.com> 2.8-1
- Update to bluez-libs 2.8

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue May 11 2004 David Woodhouse <dwmw2@redhat.com> 2.7-1
- Update to bluez-libs 2.7

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb 10 2004 Karsten Hopp <karsten@redhat.de> 2.5-1 
- update to 2.5

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Apr 24 2003 David Woodhouse <dwmw2@redhat.com>
- update to bluez-libs 2.4.

* Tue Feb 04 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- add symlinks to shared libs

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Jan 16 2003 Bill Nottingham <notting@redhat.com> 2.3-1
- initial build
